diff -r -c postgresql-8.4.orig/doc/src/sgml/ref/pg_ctl-ref.sgml postgresql-8.4/doc/src/sgml/ref/pg_ctl-ref.sgml
*** postgresql-8.4.orig/doc/src/sgml/ref/pg_ctl-ref.sgml	2008-04-01 15:18:50.000000000 +0200
--- postgresql-8.4/doc/src/sgml/ref/pg_ctl-ref.sgml	2008-04-22 13:48:10.000000000 +0200
***************
*** 133,141 ****
     In <option>stop</option> mode, the server that is running in
     the specified data directory is shut down.  Three different
     shutdown methods can be selected with the <option>-m</option>
!    option: <quote>Smart</quote> mode waits for all the clients to
!    disconnect.  This is the default.  <quote>Fast</quote> mode does
!    not wait for clients to disconnect.  All active transactions are
     rolled back and clients are forcibly disconnected, then the
     server is shut down.  <quote>Immediate</quote> mode will abort
     all server processes without a clean shutdown.  This will lead to 
--- 133,142 ----
     In <option>stop</option> mode, the server that is running in
     the specified data directory is shut down.  Three different
     shutdown methods can be selected with the <option>-m</option>
!    option: <quote>Smart</quote> mode waits for online backup mode
!    to finish and all the clients to disconnect.  This is the default.
!    <quote>Fast</quote> mode does not wait for clients to disconnect and
!    will terminate an online backup in progress.  All active transactions are
     rolled back and clients are forcibly disconnected, then the
     server is shut down.  <quote>Immediate</quote> mode will abort
     all server processes without a clean shutdown.  This will lead to 
diff -r -c postgresql-8.4.orig/doc/src/sgml/runtime.sgml postgresql-8.4/doc/src/sgml/runtime.sgml
*** postgresql-8.4.orig/doc/src/sgml/runtime.sgml	2008-04-22 13:40:25.000000000 +0200
--- postgresql-8.4/doc/src/sgml/runtime.sgml	2008-04-22 13:48:10.000000000 +0200
***************
*** 1307,1312 ****
--- 1307,1313 ----
       <listitem>
        <para>
         After receiving <systemitem>SIGTERM</systemitem>, the server
+        waits until online backup mode is no longer active. It then
         disallows new connections, but lets existing sessions end their
         work normally. It shuts down only after all of the sessions
         terminate normally. This is the <firstterm>Smart
***************
*** 1322,1328 ****
         The server disallows new connections and sends all existing
         server processes <systemitem>SIGTERM</systemitem>, which will cause them
         to abort their current transactions and exit promptly. It then
!        waits for the server processes to exit and finally shuts down. This is the
         <firstterm>Fast Shutdown</firstterm>.
        </para>
       </listitem>
--- 1323,1331 ----
         The server disallows new connections and sends all existing
         server processes <systemitem>SIGTERM</systemitem>, which will cause them
         to abort their current transactions and exit promptly. It then
!        waits for the server processes to exit and finally shuts down.
!        If the server is in online backup mode, backup mode will be
!        terminated, rendering the backup useless.  This is the
         <firstterm>Fast Shutdown</firstterm>.
        </para>
       </listitem>
